Jump to content
Joly0

Buggy playback when using Gpu transcoding

Recommended Posts

Joly0

Hey, recently i found out, that some of my Movies in Emby have weird playback issues, like black or green screens or frames repeating them selves back and forth for seconds. I am using Emby on Unraid in a Docker Container and for Gpu transcoding i use a Gtx 1050ti but i tested a 1650 aswell. I even swapped to different slots and Psu´s, but nothing helped so far.

Afaik, that problem started recently. If i disable Gpu transcoding and let my Cpu do the job, everything is running fine, but my Cpu is maxed out, so i prefer to use Gpu transcoding. This problem started recently, but i cant tell exactly when.

If logs are needed, i would prefer to send them privatly, otherwise i am going to blur some of the stuff out.

Share this post


Link to post
Share on other sites
Joly0

Hey Luke, thanks for the quick reply.

I tested this on a variety of devices, Pc´s and Laptops running Windows or Linux through different Browsers and on the Mobile Apps, everywhere i had the same problem.

 

I hope with the attached files its enough information to help me. I had to censor some things like ip and names from the files, i hope thats ok.

Thor_error_Image.png

embyserver.txt ffmpeg-transcode-cde0c657-b531-43c5-9455-ff3a51713b4d_1.txt

Share this post


Link to post
Share on other sites
Luke

Did you follow this guide here?

 

Share this post


Link to post
Share on other sites
Joly0

No, i use the Linuxserver.io Docker Container for emby, which includes all of this. In my docker settings everything is right, my gpu is used, i can see it, it works perfectly on other movies, but certain movies started to bug just recently.

Share this post


Link to post
Share on other sites
Luke

Ok, that container wasn't built by us. Have you tried our official container for comparison purposes?

Share this post


Link to post
Share on other sites
Joly0

I just quickly setup the official contaienr and its the exact same behaviour.

Share this post


Link to post
Share on other sites
Luke

Ok, @softworkz will take a look at this. Thanks.

Share this post


Link to post
Share on other sites
softworkz

@Joly0 - Does it work when you disable the Nvidia HEVC hardware decoder?

It's probably a known issue with the Nvidia hevc cuvid decoder.

Share this post


Link to post
Share on other sites
Joly0

Ok, so this started recently, so something has changed. Any way i can fix this?

Share this post


Link to post
Share on other sites
softworkz

When you say it started recently - what as changed since?

Can you confirm that you had the exact same video file that has worked before?
(and it was also a transcoding situation, not direct play?)

Share this post


Link to post
Share on other sites
Joly0

Ok, recently i switched from a synology nas to an unraid server as my storage solution so the video files were located on the synology nas, but the unraid server always had the emby server docker container running. Now the files are on the unraid server aswell. I updated my unraid server recently to the latest version. And in the mean time some emby updates, other than that, nothing has changed.

Share this post


Link to post
Share on other sites
Joly0

I am gonna try  the diagnostics plugin and will be back, with a result

 

Share this post


Link to post
Share on other sites
Joly0

ok, weird, there is no option to enable legacy command building?

Share this post


Link to post
Share on other sites
softworkz

image.thumb.png.b63a248308be10f04f71bf57f976db01.png

Share this post


Link to post
Share on other sites
Happy2Play
4 minutes ago, softworkz said:

image.thumb.png.b63a248308be10f04f71bf57f976db01.png

What version is that as I do not see that option in 4.5.0.12, it starts with Enforce Software Decoding not Use Legacy Building.

Share this post


Link to post
Share on other sites
Joly0

But its same for me as it is for @Happy2Play

Share this post


Link to post
Share on other sites
Happy2Play
Just now, Joly0 said:

But its same for me as it is for @Happy2Play

What is your current server version?  As it would appear you were on 4.4.3.0 and would need the 4.5.0.8 plugin.  If updated to 4.5.0.50 then the option is no longer available in 4.5.0.12 plugin.

  • Like 1

Share this post


Link to post
Share on other sites
Joly0

btw my emby server version appears to be 4.5.0.50, so there is no option to enable enable legacy command building

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×
×
  • Create New...